<?php
if (isset($_POST['komentarz'])) {
    $tekst = substr($_POST['komentarz'], 0, 255);
    $tekst = strip_tags($tekst) . "\n";

    if (!$op = fopen('opinie.txt', 'a')) {
        echo "Błąd!. Nie można otworzyć pliku opinie.txt";
    } else {
        if (fwrite($op, $tekst) === false) {
            echo "Dodanie komentarza nie powiodło się";
        }
 }
}
?>
<html lang="pl">
<head>
    <title>T56 - Komentarze do pliku</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>T56 - Komentarze do pliku</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Utwórz skrypt, który będzie zapisywał opinie użytkowników w pliku tekstowym opinie.txt. Na stronie wyświetl formularz, który pozwoli na wpisanie opinii. Nowe opinie powinny być dopisywane do pliku i umieszczane na jego końcu. Dotychczasowe opinie zapisane w pliku tekstowym powinny zostać wyświetlone na stronie i powinny być dostępne dla innych jej użytkowników.</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <p><label for="komentarz"><b>Dodaj swój komentarz na temat globalnego ocieplenia</b><br>
                (Makmalnie 255 znaków)</label></p>
        <textarea id="komentarz" name="komentarz" rows="6" cols="50"
                  wrap="hard"></textarea><br>
        <input type="submit" value="Wyślij">
    </form>
</div>
<div class="box">
    <b>Dodane opinie:</b><br>
    <?php
    $opinie = '';
    if (file_exists('./opinie.txt')) {
        $opinie =file_get_contents('./opinie.txt');
        $opinie = nl2br($opinie);
    }
    if ($opinie != '') {
        echo  $opinie;
    } else {
        echo "Brak opinii na temat zmian klimatu.";
    }
    ?>
</div>
</body>
</html>